Package com.google.gwt.user.client.rpc

## Class StatusCodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.user.client.rpc.InvocationException
        - - com.google.gwt.user.client.rpc.StatusCodeException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StatusCodeException
      extends InvocationException

  Indicates that an RPC response was returned with an invalid HTTP status code. This exception will be presented via `AsyncCallback.onFailure(Throwable)` if the HTTP response from the server does not have a `200` status code.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatusCodeException​(int statusCode, java.lang.String encodedResponse)` | Construct an exception with the given status code and description.
    `StatusCodeException​(int statusCode, java.lang.String statusText, java.lang.String encodedResponse)` | Construct an exception with the given status code, status text and description.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getEncodedResponse()` | Returns the response message associated with the failed request.
    `int` | `getStatusCode()` | Returns the status code associated with the failed request.
    `java.lang.String` | `getStatusText()` | Returns the status text associated with the failed request.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusCodeException

          public StatusCodeException​(int statusCode,
                                     java.lang.String encodedResponse)

      Construct an exception with the given status code and description.
      Parameters:
        `statusCode` - the HTTP status code to report
        `encodedResponse` - the HTTP response message to report

    - #### StatusCodeException

          public StatusCodeException​(int statusCode,
                                     java.lang.String statusText,
                                     java.lang.String encodedResponse)

      Construct an exception with the given status code, status text and description.
      Parameters:
        `statusCode` - the HTTP status code to report
        `statusText` - the HTTP status text to report
        `encodedResponse` - the HTTP response message to report

  - ### Method Detail

    - #### getEncodedResponse

          public java.lang.String getEncodedResponse()

      Returns the response message associated with the failed request.

    - #### getStatusCode

          public int getStatusCode()

      Returns the status code associated with the failed request.

      The value will be 0 if the request failed (e.g. network error, or the server disallowed the request) or has been aborted (this will generally be the case when leaving the page).

    - #### getStatusText

          public java.lang.String getStatusText()

      Returns the status text associated with the failed request.